Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.servicecore
Class ConstrainableServiceAdminProxy

    java.lang.Object
      org.jini.rio.resources.servicecore.ServiceAdminProxy
          org.jini.rio.resources.servicecore.ConstrainableServiceAdminProxy

All Implemented Interfaces:
  DestroyAdmin, Serializable, Remote, JoinAdmin, RemoteMethodControl, ReferentUuid, ServiceBeanAdmin, ServiceBeanControl, ServiceAdmin

    public class ConstrainableServiceAdminProxy

extends ServiceAdminProxy
implements RemoteMethodControl

A subclass of ServiceAdminProxy that implements RemoteMethodControl.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.resources.servicecore.ServiceAdminProxy
`serviceAdmin, uuid`

Method Summary
`MethodConstraints` | `getConstraints()`
`RemoteMethodControl` | `setConstraints(MethodConstraints constraints)`

Methods inherited from class org.jini.rio.resources.servicecore.ServiceAdminProxy
`addLookupAttributes, addLookupGroups, addLookupLocators, advertise, destroy, equals, getJoinSet, getLookupAttributes, getLookupGroups, getLookupLocators, getReferentUuid, getServiceBeanInstantiatorUuid, getServiceElement, getUpTime, hashCode, modifyLookupAttributes, removeLookupGroups, removeLookupLocators, setLookupGroups, setLookupLocators, setServiceElement, start, stop, unadvertise`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConstraints

    public RemoteMethodControl setConstraints(MethodConstraints constraints)

  Specified by:
    `setConstraints` in interface `RemoteMethodControl`

### getConstraints

    public MethodConstraints getConstraints()

  Specified by:
    `getConstraints` in interface `RemoteMethodControl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.